Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server
Class ClientMonitorInterceptor

    java.lang.Object
      org.jboss.mq.server.JMSServerInterceptorSupport
          org.jboss.mq.server.ClientMonitorInterceptor

All Implemented Interfaces:
  JMSServerInterceptor

public class ClientMonitorInterceptor
extends JMSServerInterceptorSupport

A pass through Interceptor, which keeps track of when a client was last active. If a client is inactive for too long, then it is disconnected from the server.

Author:
  Hiram Chirino

Field Summary
`protected static org.jboss.logging.Logger` | `log`

Fields inherited from class org.jboss.mq.server.JMSServerInterceptorSupport
`nextInterceptor`

Constructor Summary
`ClientMonitorInterceptor()`

Method Summary
`void` | `acknowledge(ConnectionToken dc, AcknowledgementRequest item)` #Description of the Method
`void` | `addMessage(ConnectionToken dc, SpyMessage message)` Add the message to the destination.
`SpyMessage[]` | `browse(ConnectionToken dc, javax.jms.Destination dest, String selector)` #Description of the Method
`void` | `connectionClosing(ConnectionToken dc)` #Description of the Method
`javax.jms.Queue` | `createQueue(ConnectionToken dc, String dest)` #Description of the Method
`javax.jms.Topic` | `createTopic(ConnectionToken dc, String dest)` #Description of the Method
`void` | `deleteTemporaryDestination(ConnectionToken dc, SpyDestination dest)` #Description of the Method
`void` | `destroySubscription(ConnectionToken dc, DurableSubscriptionID id)` #Description of the Method
`void` | `disconnectInactiveClients(long disconnectTime)`
`org.jboss.mq.server.ClientMonitorInterceptor.ClientStats` | `getClientStats(ConnectionToken dc)`
`Subscription` | `getSubscription(ConnectionToken dc, int subscriberId)` Get the subscription that match the id.
`javax.jms.TemporaryQueue` | `getTemporaryQueue(ConnectionToken dc)` Gets the TemporaryQueue attribute of the ServerIL object
`javax.jms.TemporaryTopic` | `getTemporaryTopic(ConnectionToken dc)` Gets the TemporaryTopic attribute of the ServerIL object
`void` | `ping(ConnectionToken dc, long clientTime)` #Description of the Method
`SpyMessage` | `receive(ConnectionToken dc, int subscriberId, long wait)` #Description of the Method
`void` | `setEnabled(ConnectionToken dc, boolean enabled)` Sets the Enabled attribute of the ServerIL object
`void` | `subscribe(ConnectionToken dc, Subscription s)`
`void` | `transact(ConnectionToken dc, TransactionRequest t)` #Description of the Method
`void` | `unsubscribe(ConnectionToken dc, int subscriptionId)` #Description of the Method

Methods inherited from class org.jboss.mq.server.JMSServerInterceptorSupport
`authenticate, checkID, checkUser, getDurableTopic, getID, getNext, getThreadGroup, setNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.jboss.logging.Logger log

Constructor Detail

### ClientMonitorInterceptor

    public ClientMonitorInterceptor()

Method Detail

### disconnectInactiveClients

    public void disconnectInactiveClients(long disconnectTime)

### getClientStats

    public org.jboss.mq.server.ClientMonitorInterceptor.ClientStats getClientStats(ConnectionToken dc)
                                                                            throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### getTemporaryTopic

    public javax.jms.TemporaryTopic getTemporaryTopic(ConnectionToken dc)
                                               throws javax.jms.JMSException

  Description copied from class: `JMSServerInterceptorSupport`
  Gets the TemporaryTopic attribute of the ServerIL object

  Specified by:
    `getTemporaryTopic` in interface `JMSServerInterceptor`
  Overrides:
    `getTemporaryTopic` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
  Returns:
    The TemporaryTopic value
  Throws:
    `javax.jms.JMSException` - Description of Exception

### getTemporaryQueue

    public javax.jms.TemporaryQueue getTemporaryQueue(ConnectionToken dc)
                                               throws javax.jms.JMSException

  Gets the TemporaryQueue attribute of the ServerIL object

  Specified by:
    `getTemporaryQueue` in interface `JMSServerInterceptor`
  Overrides:
    `getTemporaryQueue` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
  Returns:
    The TemporaryQueue value
  Throws:
    `javax.jms.JMSException` - Description of Exception

### connectionClosing

    public void connectionClosing(ConnectionToken dc)
                           throws javax.jms.JMSException

  #Description of the Method

  Specified by:
    `connectionClosing` in interface `JMSServerInterceptor`
  Overrides:
    `connectionClosing` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception

### addMessage

    public void addMessage(ConnectionToken dc,
                           SpyMessage message)
                    throws javax.jms.JMSException

  Add the message to the destination.

  Specified by:
    `addMessage` in interface `JMSServerInterceptor`
  Overrides:
    `addMessage` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - The feature to be added to the Message attribute
    `message` - The feature to be added to the Message attribute
  Throws:
    `javax.jms.JMSException` - Description of Exception

### createQueue

    public javax.jms.Queue createQueue(ConnectionToken dc,
                                       String dest)
                                throws javax.jms.JMSException

  #Description of the Method

  Specified by:
    `createQueue` in interface `JMSServerInterceptor`
  Overrides:
    `createQueue` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
    `dest` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception

### createTopic

    public javax.jms.Topic createTopic(ConnectionToken dc,
                                       String dest)
                                throws javax.jms.JMSException

  #Description of the Method

  Specified by:
    `createTopic` in interface `JMSServerInterceptor`
  Overrides:
    `createTopic` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
    `dest` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception

### deleteTemporaryDestination

    public void deleteTemporaryDestination(ConnectionToken dc,
                                           SpyDestination dest)
                                    throws javax.jms.JMSException

  #Description of the Method

  Specified by:
    `deleteTemporaryDestination` in interface `JMSServerInterceptor`
  Overrides:
    `deleteTemporaryDestination` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
    `dest` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception

### transact

    public void transact(ConnectionToken dc,
                         TransactionRequest t)
                  throws javax.jms.JMSException

  #Description of the Method

  Specified by:
    `transact` in interface `JMSServerInterceptor`
  Overrides:
    `transact` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
    `t` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception

### acknowledge

    public void acknowledge(ConnectionToken dc,
                            AcknowledgementRequest item)
                     throws javax.jms.JMSException

  #Description of the Method

  Specified by:
    `acknowledge` in interface `JMSServerInterceptor`
  Overrides:
    `acknowledge` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
    `item` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception

### browse

    public SpyMessage[] browse(ConnectionToken dc,
                               javax.jms.Destination dest,
                               String selector)
                        throws javax.jms.JMSException

  #Description of the Method

  Specified by:
    `browse` in interface `JMSServerInterceptor`
  Overrides:
    `browse` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
    `dest` - Description of Parameter
    `selector` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception

### receive

    public SpyMessage receive(ConnectionToken dc,
                              int subscriberId,
                              long wait)
                       throws javax.jms.JMSException

  #Description of the Method

  Specified by:
    `receive` in interface `JMSServerInterceptor`
  Overrides:
    `receive` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
    `subscriberId` - Description of Parameter
    `wait` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception

### setEnabled

    public void setEnabled(ConnectionToken dc,
                           boolean enabled)
                    throws javax.jms.JMSException

  Sets the Enabled attribute of the ServerIL object

  Specified by:
    `setEnabled` in interface `JMSServerInterceptor`
  Overrides:
    `setEnabled` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - The new Enabled value
    `enabled` - The new Enabled value
  Throws:
    `javax.jms.JMSException` - Description of Exception

### unsubscribe

    public void unsubscribe(ConnectionToken dc,
                            int subscriptionId)
                     throws javax.jms.JMSException

  #Description of the Method

  Specified by:
    `unsubscribe` in interface `JMSServerInterceptor`
  Overrides:
    `unsubscribe` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
    `subscriptionId` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception

### destroySubscription

    public void destroySubscription(ConnectionToken dc,
                                    DurableSubscriptionID id)
                             throws javax.jms.JMSException

  #Description of the Method

  Specified by:
    `destroySubscription` in interface `JMSServerInterceptor`
  Overrides:
    `destroySubscription` in class `JMSServerInterceptorSupport`
  Parameters:
    `id` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception

### subscribe

    public void subscribe(ConnectionToken dc,
                          Subscription s)
                   throws javax.jms.JMSException

  Specified by:
    `subscribe` in interface `JMSServerInterceptor`
  Overrides:
    `subscribe` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - org.jboss.mq.ConnectionToken
    `s` - org.jboss.mq.Subscription
  Throws:
    `javax.jms.JMSException` - The exception description.

### ping

    public void ping(ConnectionToken dc,
                     long clientTime)
              throws javax.jms.JMSException

  #Description of the Method

  Specified by:
    `ping` in interface `JMSServerInterceptor`
  Overrides:
    `ping` in class `JMSServerInterceptorSupport`
  Parameters:
    `dc` - Description of Parameter
    `clientTime` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception

### getSubscription

    public Subscription getSubscription(ConnectionToken dc,
                                        int subscriberId)
                                 throws javax.jms.JMSException

  Description copied from interface: `JMSServerInterceptor`
  Get the subscription that match the id.

  Specified by:
    `getSubscription` in interface `JMSServerInterceptor`
  Overrides:
    `getSubscription` in class `JMSServerInterceptorSupport`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.